#
# spec file for package root-tail
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           root-tail
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
Provides:       roottail
Obsoletes:      roottail
Version:        1.2
Release:        lp160.1.1
Summary:        Print Text Directly to the X Window System Root Window
License:        GPL-2.0+
Group:          System/X11/Utilities
Source:         %name-%version.tar.bz2
Patch0:         default-fontset.patch
Patch1:         %name-%version-shade.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://goof.com/pcg/marc/root-tail.html

%description
Tails a given file anywhere on your X Window System root window with a
transparent background. It is customizable with regards to font, color,
and more.

%prep
%setup
%patch -P 0 -p1 -b .default-fontset
%patch -P 1 -p1 -b .shade

%build
xmkmf -a
make CFLAGS="$CFLAGS $RPM_OPT_FLAGS"

%install
make "DESTDIR=$RPM_BUILD_ROOT" install
make "DESTDIR=$RPM_BUILD_ROOT" install.man

%files
%defattr(-,root,root)
%doc README Changes
%{_bindir}/*
%{_mandir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Feb 23 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Tue Dec  5 2017 crrodriguez@opensuse.org
- BuildRequire pkgconfig(x11) and pkgconfig(xext) not
  xorg-x11-devel
* Sun Aug  6 2006 cthiel@suse.de
- fix build with X.org 7.1
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  9 2004 mmj@suse.de
- Update to 1.2 including:
  o replaced default font by "*" to "ensure" some font is found.
  o accept hexadecimal window ids, as does everybody else(?).
  o made it compile with ansi-89-based compilers again.
  o add hack to support nautilus (not very stable, nautilus should
    either use extended window manager hints or __SWM_VROOT, as everybody
    else does).
  o do not initialize the window twice (fixes problems with multiple
    visuals).
  o new option: -minspace.
  o fixed seg fault if geometry is too short to fit a single line
  o fix bug which became apparent if -no-filename or null
* Mon May 31 2004 mmj@suse.de
- Add patch to make shading customizable
* Tue Apr 13 2004 mfabian@suse.de
- don't use just "fixed" as the default fontset, specify a proper
  fontset by default (keeping the size and style of "fixed").
* Tue Apr 13 2004 mmj@suse.de
- Update to 1.1 with lots of improvements
* Wed Feb 25 2004 mmj@suse.de
- Update to 0.9:
  o unsigned/fseek bug
  o (root_window): New function. Return the real
    root window, or the virtual one if any.
    (InitWindow): Use it.
  force_refresh): Clear the root-tail area, not the whole window.
  (blank_window): Ditto.
    (main_loop): Don't forget to redraw () the initial contents.
- Fix type-punning
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
- Better fix for the fseek unsignedness bug
- Rename to root-tail
* Mon Oct  6 2003 mmj@suse.de
- Cast unsigned int to long before calling fseek, fixing root-tail
  on 64 bit platforms.
* Mon Sep 16 2002 mmj@suse.de
- Update to 0.2
* Wed Sep  4 2002 mmj@suse.de
- Remove Provides: roottail
* Wed Feb 14 2001 mmj@suse.de
- Added a patch to exchange TAB with space (#6338)
* Tue Jan  2 2001 mmj@suse.de
- updated to newest version, 0.0.10
* Mon Nov 13 2000 mmj@suse.de
- updated to newest version, 0.0.9
* Sun Nov 12 2000 mmj@suse.de
- updated to newest version, 0.0.8
* Wed May 17 2000 cihlar@suse.cz
- Group sorted
* Fri Apr  7 2000 cihlar@suse.cz
- added BuildRoot
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep  1 1998 ro@suse.de
- added cleanup on SIGINT and SIGTERM
  fixed race between update & expose
* Mon Aug 31 1998 ro@suse.de
- updated to use .c from mjb vers. 0.0.4B
* Tue Aug 25 1998 ro@suse.de
- updated .c file and man-page / created Imakefile
* Thu Jun 18 1998 ro@suse.de
- initial version
